# Method: accounts.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.AccountsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#body.aspect)
- [View](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#View)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#try-it)

Lists the sub-accounts in your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. This must be a multi-client account. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` The maximum number of accounts to return in the response, used for paging. |
| `pageToken` | `string` The token returned by the previous request. |
| `view` | ``enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list#View`)`` Controls which fields will be populated. Acceptable values are: "merchant" and "css". The default value is "merchant". |
| `label` | `string` If view is set to "css", only return accounts that are assigned label with given ID. |
| `name` | `string` If set, only the accounts with the given name (case sensitive) will be returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nextPageToken": string, "kind": string, "resources": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts#Account`) } ] } ``` |

| Fields ||
|---|---|
| `nextPageToken` | `string` The token for the retrieval of the next page of accounts. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accountsListResponse`". |
| `resources[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts#Account`)`` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## View

| Enums ||
|---|---|
| `MERCHANT` | Default. View is populated with Merchant Center fields. |
| `CSS` | View is populated with Comparison Shopping Services fields. |